### Function

# GLib Error domain_register

since: 2.68

#### Declaration [src]

    GQuark
    g_error_domain_register (
      const char* error_type_name,
      gsize error_type_private_size,
      GErrorInitFunc error_type_init,
      GErrorCopyFunc error_type_copy,
      GErrorClearFunc error_type_clear
    )

#### Description [src]

This function registers an extended `GError` domain. `error_type_name` will be duplicated. Otherwise does the same as g_error_domain_register_static().

Available since: 2.68

#### Parameters

`error_type_name`

  Type: `const char*`

  String to create a `GQuark` from.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error_type_private_size`

  Type: `gsize`

  Size of the private error data in bytes.

`error_type_init`

  Type: `GErrorInitFunc`

  Function initializing fields of the private error data.

`error_type_copy`

  Type: `GErrorCopyFunc`

  Function copying fields of the private error data.

`error_type_clear`

  Type: `GErrorClearFunc`

  Function freeing fields of the private error data.

#### Return value

Type: `GQuark`

`GQuark` representing the error domain.